Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaClassDescriptor

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaClassDescriptor

    public class JpaClassDescriptor

extends Object

Provides information about a class relevant to JPA, such potential persistence fields, etc.

Author:
  Andrus Adamchik

Field Summary
`protected AccessType` | `access`
`protected Collection<JpaPropertyDescriptor>` | `fieldDescriptors`
`protected Class<?>` | `managedClass`
`protected Collection<JpaPropertyDescriptor>` | `propertyDescriptors`

Constructor Summary
`JpaClassDescriptor(Class<?> managedClass)`

Method Summary
`protected void` | `compileFields()`
`protected void` | `compileProperties()`
`AccessType` | `getAccess()`
`Collection<JpaPropertyDescriptor>` | `getFieldDescriptors()`
`Class<?>` | `getManagedClass()`
`JpaPropertyDescriptor` | `getProperty(String name)` Returns descriptor matching the property name.
`Collection<JpaPropertyDescriptor>` | `getPropertyDescriptors()` Returns getters for public and protected methods that look like read/write bean properties, as those are potential persistent properties.
`JpaPropertyDescriptor` | `getPropertyForMember(Member classMember)` Returns descriptor matching the property name.
`static String` | `propertyNameForGetter(String getterName)`
`static String` | `propertyNameForSetter(String setterName)`
`void` | `setAccess(AccessType access)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldDescriptors

    protected Collection<JpaPropertyDescriptor> fieldDescriptors

### propertyDescriptors

    protected Collection<JpaPropertyDescriptor> propertyDescriptors

### managedClass

    protected Class<?> managedClass

### access

    protected AccessType access

Constructor Detail

### JpaClassDescriptor

    public JpaClassDescriptor(Class<?> managedClass)

Method Detail

### propertyNameForGetter

    public static String propertyNameForGetter(String getterName)

### propertyNameForSetter

    public static String propertyNameForSetter(String setterName)

### getManagedClass

    public Class<?> getManagedClass()

### getAccess

    public AccessType getAccess()

### setAccess

    public void setAccess(AccessType access)

### getProperty

    public JpaPropertyDescriptor getProperty(String name)

  Returns descriptor matching the property name. If the underlying entity map uses FIELD access, a descriptor is looked up in the list of class fields, if it uses PROPERTY access - descriptor is looked up in the list of class properties.

### getPropertyForMember

    public JpaPropertyDescriptor getPropertyForMember(Member classMember)

  Returns descriptor matching the property name. Note that entity map access type is ignored and instead field vs. property descriptor is determined from the member type.

### getFieldDescriptors

    public Collection<JpaPropertyDescriptor> getFieldDescriptors()

### getPropertyDescriptors

    public Collection<JpaPropertyDescriptor> getPropertyDescriptors()

  Returns getters for public and protected methods that look like read/write bean properties, as those are potential persistent properties.

### compileFields

    protected void compileFields()

### compileProperties

    protected void compileProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.